Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
New Developer
david_schwartz_bb
Posts: 137
Registered: ‎02-04-2010
My Device: Tour 9630
My Carrier: verizon

genkeypair error

getting error when running -genkeypair.

I put C:\playbook_sdk_0_9_3\bin in path.

Any ideas?

 

Exception in thread "main" java.lang.NoSuchMethodError: sun.security.x509.CertAn
dKeyGen.getSelfCertificate(Lsun/security/x509/X500Name;Ljava/util/Date;J)Ljava/s
ecurity/cert/X509Certificate;
        at net.rim.device.codesigning.keytool.KeyTool.a(Unknown Source)
        at net.rim.device.codesigning.keytool.KeyTool.if(Unknown Source)
        at net.rim.device.codesigning.keytool.KeyTool.a(Unknown Source)
        at net.rim.device.codesigning.keytool.KeyTool.main(Unknown Source)

Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: genkeypair error

Do you have a current version of Java?

Please use plain text.
New Developer
david_schwartz_bb
Posts: 137
Registered: ‎02-04-2010
My Device: Tour 9630
My Carrier: verizon

Re: genkeypair error

I'm using j2se 1.6.

Please use plain text.
New Contributor
robiiin
Posts: 9
Registered: ‎02-14-2011
My Device: 8900
My Carrier: Orange CH

Re: genkeypair error

Did you set JAVA_HOME on your path? 

------------------------------------------------------------------------------------------
https://appworld.blackberry.com/webstore/vendor/6777
------------------------------------------------------------------------------------------
Please use plain text.
New Developer
david_schwartz_bb
Posts: 137
Registered: ‎02-04-2010
My Device: Tour 9630
My Carrier: verizon

Re: genkeypair error

Yes. the java folder is in path & I also have a JAVA_HOME environment variable.

Also, I have a classpath environment variable.

Please use plain text.
Developer
JRab
Posts: 2,462
Registered: ‎11-04-2010
My Device: Bold 9700

Re: genkeypair error

Hey david,

Try using the latest sdk 0.9.4 to sign your app. I noticed you are using an older version. Maybe that's causing a weird error. Good luck!
J. Rab (Blog) (Twitter)
--
1. If you liked my post or found it useful please click on the thumbs up and provide a Like!
2. If my post solved your problem please click on the Accept as Solution button. Much appreciated!

Approved Apps: OnTrack | ssShots | Hangman
Please use plain text.
Developer
Acenet
Posts: 248
Registered: ‎11-02-2010
My Device: PlayBook
My Carrier: -

Re: genkeypair error

Hello david_,

  using 0.9.4 SDK may be a good idea, but it should work nevertheless with 0.9.3

 

You should try to focus inside BB_0.9.3/bin directory, and execute your command from inside.

(Also, don't hesitate to post the exact command line you're using and your dir. structure for more accurate help)

JC
Please use plain text.